export declare class NavigationPane {
    element: HTMLElement;
    connectedCallback(): void;
    componentWillRender(): Promise<void>;
    onItemSelected({ target }: CustomEvent, bypassScroll?: boolean): void;
    setActive(): Promise<void>;
    private getItems;
}
